<%@ page language="java" contentType="text/html; charset=utf-8" pageEncoding="utf-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="shiro" uri="http://shiro.apache.org/tags" %>
<c:set var="contextPath" value="${pageContext.request.contextPath}"></c:set>
<link rel="stylesheet" href="${contextPath}/static/assets/css/jquery-ui.css" />
<link rel="stylesheet" href="${contextPath}/static/assets/css/datepicker.css" />
<link rel="stylesheet" href="${contextPath}/static/assets/css/ui.jqgrid.css" />
<div class="row">
	<div class="col-xs-12">
		<table id="grid-table"></table>
		<div id="grid-pager"></div>
		<script type="text/javascript">
			var $path_base = "${contextPath}/static";//in Ace demo this will be used for editurl parameter
		</script>
		<!-- PAGE CONTENT ENDS -->
	</div><!-- /.col -->
</div><!-- /.row -->
<!-- 律师审核 -->
<div id="modal-table" class="modal fade" tabindex="-1" data-backdrop="static">
<div class="modal-dialog" style="min-width: 820px;">
<div class="modal-content">
<br/>
证书展示:
<img id=myImg alt="" src="">

<br/>
			<div class="modal-footer no-margin-top">
			<div class="text-center">
				<button class="btn btn-app btn-pink btn-xs"
					data-dismiss="modal">
					<i class="ace-icon fa fa-share bigger-160"></i>确定
				</button>																
			</div>
		</div>
</div>
</div>
</div>

<div id="modal-certificate-view" class="modal fade" tabindex="-1" data-backdrop="static">
	<div class="modal-dialog" style="min-width: 650px;">
		<div class="modal-content" style="height: 600px;width: 800px;">
			<div class="modal-header no-padding">
      			<div class="table-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">
						<span class="white">&times;</span>
					</button>
					证书(点击图片可旋转)
				</div>
	      	</div>
	      	<div class="modal-body" id="modal-certificate-view-body">
	      		
	      	</div>
		</div>
	</div>
</div>

<div id="modal-refund-body" class="modal fade" tabindex="-1" data-backdrop="static">
	<div class="modal-dialog" >
		<form id="checkForm">
			<div class="modal-content">
				<div class="modal-header no-padding">
					<div class="table-header">
						<button type="button" class="close" data-dismiss="modal" aria-hidden="true">
							<span class="white">&times;</span>
						</button>
						其他原因
					</div>
				</div>
				<div class="modal-body" style="overflow-y: scroll;">
					<div id="mod-edit-tip" class="red clearfix"></div>
					<input type="hidden" id="modal-refund-reason_btn" value="">
					<div class="form-group" style="margin-left: 30px;">
						<label class="control-label">请输入审核失败其他原因：</label>
					</div>
					<div class="form-group" style="margin-left: 30px;">
						<textarea id="modal-refund-reason" rows="4" cols="60"
								  placeholder="请输入审核失败其他原因"></textarea>
					</div>
				</div>
				<div class="modal-footer no-margin-top">
					<div class="text-center">
						<button id="mod-check-success" type="button" class="btn btn-sm btn-primary" onclick="showExamineConfirm();">
							确认
						</button>
						<button class="btn btn-sm" data-dismiss="modal">
							取消
						</button>
					</div>
				</div>
			</div><!-- /.modal-content -->
		</form>
	</div><!-- /.modal-dialog -->
</div>
<script>
    function showBtnRefund(btn) {

        $("#modal-refund-reason").val("");
        $("#modal-refund-reason_btn").val();
        $("#modal-refund-body").modal("toggle");

        //行id 临时存储
        $("#modal-refund-reason_btn").val(btn);

        //回显
        var btnvalue = $("#"+btn).val();
        $("#modal-refund-reason").val(btnvalue);
    }
    function showExamineConfirm() {

        //存储到临时位置
        var btn1 = $("#modal-refund-reason_btn").val();
        var text = $("#modal-refund-reason").val();

        $("#"+btn1).val(text);

        $("#modal-refund-body").modal("toggle");
    }

</script>

<!-- page specific plugin scripts -->
<script type="text/javascript">
		var scripts = [ null, "${contextPath}/static/assets/js/date-time/bootstrap-datepicker.js", "${contextPath}/static/assets/js/date-time/locales/bootstrap-datepicker.zh-CN.js", "${contextPath}/static/assets/js/jqGrid/jquery.jqGrid.js", "${contextPath}/static/assets/js/jqGrid/i18n/grid.locale-cn.js", "${contextPath}/static/js/contract/jquery.rotate.js", null ]
        $('.page-content-area').ace_ajax('loadScripts', scripts, function() {
        	// inline scripts related to this page
        	jQuery(function($) {
        		var grid_selector = "#grid-table";
        		var pager_selector = "#grid-pager";
			
        		// resize to fit page size
        		$(window).on('resize.jqGrid', function() {
        			$(grid_selector).jqGrid('setGridWidth', $(".page-content").width());
        		})
        		// resize on sidebar collapse/expand
        	var parent_column = $(grid_selector).closest('[class*="col-"]');
        		$(document).on('settings.ace.jqGrid', function(ev, event_name, collapsed) {
        			if (event_name === 'sidebar_collapsed' || event_name === 'main_container_fixed') {
        				// setTimeout is for webkit only to give time for DOM changes and then redraw!!!
        				setTimeout(function() {
        					$(grid_selector).jqGrid('setGridWidth', parent_column.width());
        				}, 0);
        			}
        		})
        		myGrid=	jQuery(grid_selector).jqGrid({
        			subGrid : false,
        			url : "${contextPath}/sys/lawyercheck/getHqlLawyerCheck",
        			datatype : "json",
        			height : 450,
        			colNames : ['','头像', '姓名', '省', '市', '申请日期', '审核状态', '失败原因', 
        			            '手机','微信', '律所', '执业证号', '身份证','简介','执业证书' ],
        			colModel : [ {
        				name : '',
        				index : '',
        				width : 70,
        				fixed : true,
        				sortable : false,
        				resize : false,
        				formatter : 'actions',
        				formatoptions : {
        					keys : true,
        					delbutton : false,//disable delete button
        					
        					//editformbutton:true, editOptions:{recreateForm:true, beforeShowForm:beforeEditCallback}
        				}
        			},{
        				name : 'logo',
        				index : 'logo',
        				width : 80,
        				editable : false,
	            		formatter: function (cellvalue, options, rowObject) {
	           	 //cellvalue :要格式化的值  
	                return "<img width='50' height='50' src='<%=com.fadu.app.util.AppConfig.url_duowenapp_c%>"+cellvalue+"' />";
	            }
        			}, {
        				name : 'realName',
        				index : 'realName',
        				width : 100,
        				editable : false
        			}, {
        				name : 'province',
        				index : 'province',
        				width : 80,
        				editable : false
        			}, {
        				name : 'city',
        				index : 'city',
        				width : 80,
        				editable : false
        			}, {
        				name : 'applyDate',
        				index : 'applyDate',
        				width : 165,
        				search : false,	
        				editable : false,
        				readonly : true,
        				search : false,
        				sorttype : 'date',
        			}, {
        				name : 'status',
        				index : 'status',
        				label : '认证状态',
        				width : 140,
        				editable : true,
        				edittype : "select",
        				editoptions:{value:"0:注册;1:已经完善资料;2:认证审核中;3:认证审核失败;4:认证成功"},formatter:defaultValFormat
        			},{
        				name : 'failType',
        				index : 'failType',
        				width : 110,
        				editable : true,
        				edittype : "select",
        				edittype:"custom",
						editoptions:{custom_element:multiCheckElem, custom_value:multiCheckVal,list:"1:年限不符;2:证书不符;3:头像不符;4:简介不符;5:联系方式;6:资料不符"},
        				formatter:defaultValfailType,
        			}, {
                  name : 'mobile',
                  index : 'mobile',
                  width : 160,
                  editable : false,
                  searchoptions : {sopt : ['like']},
               }, {
                  name : 'weixin',
                  index : 'weixin',
                  width : 160,
                  editable : false,
               }, {
                   name : 'office',
                   index : 'office',
                   width : 160,
                   label : '律所',
                   editable : false,
                },{
                    name : 'certNum',
                    index : 'certNum',
                    width : 160,
                    label : '执业证号',
                    editable : false,
                 }, {
                    name : 'idCard',
                    index : 'idCard',
                    width : 160,
                    editable : false,
                 },{
        				name : 'briefInfo', 
        				index : 'briefInfo', 
        				width : 150, 
        				editable : true, 
        				search : false, 
        				edittype: 'textarea',
        			}, { name : "id", index : "id", label : "证书", width : 120, editable : true, search : true,
                  editable:false,viewable:false,formatter:function(cellvalue, options, rowObject){
                      if(rowObject.certificate==null||rowObject.certificate=='')
                         return "";
                      else
                         return "<input type='button' onclick=showCertificateView('"+rowObject.id+"') value='查看' />";
                   }
                }],
        			//scroll : 1, // set the scroll property to 1 to enable paging with scrollbar - virtual loading of records
        			sortname : "applyDate",
        			sortorder : "asc",
        			viewrecords : true,
        			rowNum : 10,
        			rowList : [ 10, 20, 30 ],
        			pager : pager_selector,
        			altRows : true,
        			//toppager : true,
        			multiselect : true,
        			//multikey : "ctrlKey",
        	        multiboxonly : true,
        			loadComplete : function() {
        				var table = this;
        				setTimeout(function(){
        					styleCheckbox(table);
        					updateActionIcons(table);
        					updatePagerIcons(table);
        					enableTooltips(table);
        				}, 0);
        			},
        			editurl : "${contextPath}/sys/lawyercheck/operateLawyer"
        			//caption : "用户管理列表",
        			//autowidth : true,
        			/**
        			grouping : true, 
        			groupingView : { 
        				 groupField : ['name'],
        				 groupDataSorted : true,
        				 plusicon : 'fa fa-chevron-down bigger-110',
        				 minusicon : 'fa fa-chevron-up bigger-110'
        			},
        			*/
        		});


        		
        		function multiCheckElem(values, optio) {


                    var id = optio.id;
        		    var ctl = '<div id="'+ id + '" class="checklist">';
        		    var ckboxAry = optio.list.split(';');
        		    var aValues = [];

        		    var btnId = optio.rowId + "btn" ;


        		    var otherReason = '<input  type="button" onclick=showBtnRefund("'+btnId+'") value="其他原因" style="margin-left: 5px"></input>';

                    var otherReasonText = '<input id="'+ btnId + '" type="hidden" value="" style="margin-left: 5px"></input>';

        		    if (values && values.length)
        		    {
        		        aValues = values.split(",");
        		    }
        		    for (var i = 0; i < ckboxAry.length; i++)
        		    {
        		        var item = ckboxAry[i].split(':');
        		        ctl += '<input type="checkbox" ';

        		        if (aValues.indexOf(item[0]) != -1)
        		        {
        		            ctl += 'checked="checked" ';
        		        }
        		        ctl += 'value="' + item[0] + '"> ' + item[1] + '</input><br/>';
        		    }
        		    return ctl + otherReason + otherReasonText + '</div>';
        		}



        		function multiCheckVal(elem, action, val) {

        		    var result = '';

                    var idbtn=$("#grid-table").jqGrid('getGridParam','selrow');
                    console.log(idbtn);

                    var btnId = idbtn + "btn" ;


        		    var items = '';
        		    if (action == 'get') // submitted
        		    {
        		        $("input[type=checkbox]:checked", elem).each(function (i, e)
        		        {
        		            if (items) items += ","
        		            items += e.value;
        		        });
        		    }
        		    else // launched
        		    {
        		        console.log("set: " + val);
        		    }

        		    var btnValue = $("#"+btnId).val();

        		    if (btnValue == null || btnValue == 'undefined') {
                        btnValue = '';
                    }



                    if (items == null || items == '' || items.length == 0) {
        		        return btnValue ;
                    } else {
        		        result = items + ',' + btnValue;
                    }

        		    return  result ; //返回后台数据
        		}
        		
        		//查看证书路径操作
        		function moveButton(cellvalue, options, rowObject){
        			if(cellvalue==null||cellvalue==""){
        				return ""; 
        			}else{
        				return "<input id='openLawyerBtn' class='movingup' type='button' lawyerId='" + rowObject.id + "' value='查看证书' />";
        			}
				}
    			//弹出律师信息详细窗口
        		$(grid_selector).delegate("#openLawyerBtn","click",function(){
      				//弹出模态窗口
        			$("#modal-table").modal("toggle");
    				var lawyerId=$(this).attr('name');
    				//alert(myId);
    				//模块窗口 详情信息 同样是json数据
					$.getJSON("${contextPath}/sys/lawyer/getLawyerByid?lawyerId="+lawyerId+"",function(result){
						if(result.isSuccess){
							$.each(result.lawyer, function(i, field){
								if(field!=null && field!="null"){
									$("#"+i+"Pro").text(field);									
								}
							});
						}
			  		});
				});
        		//搜索
				$("#searchd").click(function(){
				var address =$("#address").val();var office =$("#office").val();var mobile =$("#mobile").val();
				var realName =$("#realName").val();
				var orderFlag =$("#orderFlag").val();var status =$("#status").val();
			   	myGrid.setGridParam({data:'json',url : '${contextPath}/sys/lawyer/getHqlLawyer?address='+address+'&office='+office+'&mobile='+mobile+'&status='+status+'&realName='+realName+'&orderFlag='+orderFlag+''}).trigger('reloadGrid', [{ current: true }]);


				});
        		
		  		// enable datepicker
        		function pickDate(cellvalue, options, cell) {
        			setTimeout(function() {
        				$(cell).find('input[type=text]').datepicker({
        					format : 'yyyy-mm-dd',
        					autoclose : true,
        				    language: 'zh-CN'
        				});
        			}, 0);
        		}
        		
        		//company 
        		function moveButton(cellvalue, options, rowObject){
					return "<input class='movingup' type='button' lawyerId='" + cellvalue + "' value='查看证书 ' />";
				}
        		
        		//接单状态初始化默认值
        		function	defaultValorderFlag(cellvalue, options, rowObject){
        			switch(cellvalue)
					{
					case 0:
					return "不能接单";
						break;
					case 1:
						return "可以接单";
						break;
					default:
					return cellvalue;
					}
				}
        		
        		function defaultCdStatus(cellvalue, options, rowObject){
        			switch(cellvalue)
					{
						case 0:
							return "不能查档";
						case 1:
							return "可以查档";
						default:
						return cellvalue;
					}
				}
        		
        		
        		//审核失败初始化默认值  后台返回来的值转义
        		function defaultValfailType(cellvalue, options, rowObject){

                    var strs= new Array(); //定义一数组
                    if (cellvalue != null) {
                        strs=cellvalue.split(","); //字符分割
                    }
                    if(cellvalue==null)
        				return "";
        			var ret='';
        			if(cellvalue.indexOf("1")!=-1)
        				ret+="年限 ";
        			if(cellvalue.indexOf("2")!=-1)
        				ret+="证书 ";
        			if(cellvalue.indexOf("3")!=-1)
        				ret+="头像 ";
        			if(cellvalue.indexOf("4")!=-1)
        				ret+="简介 ";
        			if(cellvalue.indexOf("5")!=-1)
        				ret+="联系方式 ";
                    if(cellvalue.indexOf("6")!=-1)
                        ret+="资料 ";
        			if(ret!='')
        				ret+="不符";
        			if(strs.length > 0) {
        			    //最后一个内容长度大于 1
        			    if (strs[strs.length-1].length > 1) {
        			        if (strs.length > 1) {
                                ret += ',';
                            }
        			        ret += strs[strs.length-1];
                        }
                    }
        			return ret;
				}
        		
        		
				//默认值格式化: Status 状态
					function defaultValFormat(cellvalue, options, rowObject){
						switch(cellvalue)
						{
						case 0:
						return "注册";
							break;
						case 1:
							return "已经完善资料";
							break;
						case 2:
							return "认证审核中";
							break;
						case 3:
							return "认证审核失败";
							break;
						case 4:
							return "认证成功";
							break;
						default:
						return cellvalue;
						}
				}
        		
				//编辑页面 也就是模态窗口
        		$(grid_selector).delegate("input.movingup","click",function(){
        			var lawyerId=$(this).attr('lawyerId');//证书路径
            		var showImg=$("showImg");
        			var startImg="<%=com.fadu.app.util.AppConfig.url_duowenapp_c%>";
        			if(lawyerId){
        			$("#modal-table").modal("toggle");
        			$("#myImg").attr("src",startImg+"/cert?id="+lawyerId);
        			}else{
					alert("没有证书");        		
        			}
      				//弹出模态窗口
			});
        	$(window).triggerHandler('resize.jqGrid');// trigger window resize to make the grid get the correct size
        		// enable search/filter toolbar
        		// jQuery(grid_selector).jqGrid('filterToolbar',{defaultSearch:true,stringResult:true})
        		// jQuery(grid_selector).filterToolbar({});
        		// switch element when editing inline
        		function aceSwitch(cellvalue, options, cell) {
        			setTimeout(function() {
        				$(cell).find('input[type=checkbox]').addClass('ace ace-switch ace-switch-5').after('<span class="lbl"></span>');
        			}, 0);
        		}
        		
        		// navButtons
        		jQuery(grid_selector).jqGrid('navGrid', pager_selector, { // navbar options
        			refresh : true,
        			refreshicon : 'ace-icon fa fa-refresh blue',
        			view : <shiro:hasPermission name="${ROLE_KEY}:lawyercheck:view">true</shiro:hasPermission><shiro:lacksPermission name="${ROLE_KEY}:lawyercheck:view">false</shiro:lacksPermission>,
        			viewicon : 'ace-icon fa fa-search-plus grey'
        		}, {
        			// edit record form
        			// closeAfterEdit: true,
        			// width: 700,
        			recreateForm : true,
        			beforeShowForm : function(e) {
        				var form = $(e[0]);
        				form.closest('.ui-jqdialog').find('.ui-jqdialog-titlebar').wrapInner('<div class="widget-header" />')
        				style_edit_form(form);
        			},
    				errorTextFormat: function (response) {
    					var result = eval('('+response.responseText+')');
    				    return result.message;
    				}
        		}, {
        			// new record form
        			// width: 700,
        			closeAfterAdd : true,
        			recreateForm : true,
        			viewPagerButtons : false,
        			beforeShowForm : function(e) {
        				var form = $(e[0]);
        				form.closest('.ui-jqdialog').find('.ui-jqdialog-titlebar').wrapInner('<div class="widget-header" />')
        				style_edit_form(form);
        			},
    				errorTextFormat: function (response) {
    					var result = eval('('+response.responseText+')');
    				    return result.message;
    				}
        		})
        		
        		// add custom button to export the data to excel
        		if(<shiro:hasPermission name="${ROLE_KEY}:lawyercheck:export">true</shiro:hasPermission><shiro:lacksPermission name="${ROLE_KEY}:lawyercheck:export">false</shiro:lacksPermission>){
    				jQuery(grid_selector).jqGrid('navButtonAdd', pager_selector,{
   					   caption : "",
   				       title : "导出Excel",
   				       buttonicon : "ace-icon fa fa-file-excel-o green", 
   				       onClickButton : function () { 
   				    	   var keys = [], ii = 0, rows = "";
   				    	   var ids = $(grid_selector).getDataIDs(); // Get All IDs
   				    	   var row = $(grid_selector).getRowData(ids[0]); // Get First row to get the labels
   				    	   //var label = $(grid_selector).jqGrid('getGridParam','colNames');
   	   			    	   for (var k in row) {
   				    	   	   keys[ii++] = k; // capture col names
   				    	   	   rows = rows + k + "\t"; // output each Column as tab delimited
   				    	   }
   				    	   rows = rows + "\n"; // Output header with end of line
   				    	   for (i = 0; i < ids.length; i++) {
   				    	   	   row = $(grid_selector).getRowData(ids[i]); // get each row
   				    	   	   for (j = 0; j < keys.length; j++)
   				    	   		   rows = rows + row[keys[j]] + "\t"; // output each Row as tab delimited
   				    	   	   rows = rows + "\n"; // output each row with end of line
   				    	   }
   				    	   rows = rows + "\n"; // end of line at the end
   				    	   var form = "<form name='csvexportform' action='${contextPath}/sys/lawyercheck/operateLawyer?oper=excel' method='post'>";
   				    	   form = form + "<input type='hidden' name='csvBuffer' value='" + encodeURIComponent(rows) + "'>";
   				    	   form = form + "</form><script>document.csvexportform.submit();</sc" + "ript>";
   				    	   OpenWindow = window.open('', '');
   				    	   OpenWindow.document.write(form);
   				    	   OpenWindow.document.close();
   				       } 
   					});        			
        		}
        		
        		function style_edit_form(form) {
        			// form.find('input[name=statusCn]').addClass('ace ace-switch ace-switch-5').after('<span class="lbl"></span>');
        			// don't wrap inside a label element, the checkbox value won't be submitted (POST'ed)
        			// .addClass('ace ace-switch ace-switch-5').wrap('<label class="inline" />').after('<span class="lbl"></span>');

        			// update buttons classes
        			var buttons = form.next().find('.EditButton .fm-button');
        			buttons.addClass('btn btn-sm').find('[class*="-icon"]').hide();// ui-icon, s-icon
        			buttons.eq(0).addClass('btn-primary').prepend('<i class="ace-icon fa fa-check"></i>');
        			buttons.eq(1).prepend('<i class="ace-icon fa fa-times"></i>')

        			buttons = form.next().find('.navButton a');
        			buttons.find('.ui-icon').hide();
        			buttons.eq(0).append('<i class="ace-icon fa fa-chevron-left"></i>');
        			buttons.eq(1).append('<i class="ace-icon fa fa-chevron-right"></i>');
        		}

        		function style_search_filters(form) {
        			form.find('.delete-rule').val('X');
        			form.find('.add-rule').addClass('btn btn-xs btn-primary');
        			form.find('.add-group').addClass('btn btn-xs btn-success');
        			form.find('.delete-group').addClass('btn btn-xs btn-danger');
        		}
        		function style_search_form(form) {
        			var dialog = form.closest('.ui-jqdialog');
        			var buttons = dialog.find('.EditTable')
        			buttons.find('.EditButton a[id*="_reset"]').addClass('btn btn-sm btn-info').find('.ui-icon').attr('class', 'ace-icon fa fa-retweet');
        			buttons.find('.EditButton a[id*="_query"]').addClass('btn btn-sm btn-inverse').find('.ui-icon').attr('class', 'ace-icon fa fa-comment-o');
        			buttons.find('.EditButton a[id*="_search"]').addClass('btn btn-sm btn-purple').find('.ui-icon').attr('class', 'ace-icon fa fa-search');
        		}

        		function beforeEditCallback(e) {
        			var form = $(e[0]);
        			form.closest('.ui-jqdialog').find('.ui-jqdialog-titlebar').wrapInner('<div class="widget-header" />')
        			style_edit_form(form);
        		}

        		// it causes some flicker when reloading or navigating grid
        		// it may be possible to have some custom formatter to do this as the grid is being created to prevent this
        		// or go back to default browser checkbox styles for the grid
        		function styleCheckbox(table) {
        			/**
        			 * $(table).find('input:checkbox').addClass('ace') .wrap('<label />') .after('<span class="lbl align-top" />') $('.ui-jqgrid-labels th[id*="_cb"]:first-child')
        			 * .find('input.cbox[type=checkbox]').addClass('ace') .wrap('<label />').after('<span class="lbl align-top" />');
        			 */
        		}

        		// unlike navButtons icons, action icons in rows seem to be hard-coded
        		// you can change them like this in here if you want
        		function updateActionIcons(table) {
        			/**
        			 * var replacement = { 'ui-ace-icon fa fa-pencil' : 'ace-icon fa fa-pencil blue', 'ui-ace-icon fa fa-trash-o' : 'ace-icon fa fa-trash-o red', 'ui-icon-disk' : 'ace-icon fa fa-check green', 'ui-icon-cancel' :
        			 * 'ace-icon fa fa-times red' }; $(table).find('.ui-pg-div span.ui-icon').each(function(){ var icon = $(this); var $class = $.trim(icon.attr('class').replace('ui-icon', '')); if($class in replacement)
        			 * icon.attr('class', 'ui-icon '+replacement[$class]); })
        			 */
        		}

        		// replace icons with FontAwesome icons like above
        		function updatePagerIcons(table) {
        			var replacement = {
        				'ui-icon-seek-first' : 'ace-icon fa fa-angle-double-left bigger-140',
        				'ui-icon-seek-prev' : 'ace-icon fa fa-angle-left bigger-140',
        				'ui-icon-seek-next' : 'ace-icon fa fa-angle-right bigger-140',
        				'ui-icon-seek-end' : 'ace-icon fa fa-angle-double-right bigger-140'
        			};
        			$('.ui-pg-table:not(.navtable) > tbody > tr > .ui-pg-button > .ui-icon').each(function() {
        				var icon = $(this);
        				var $class = $.trim(icon.attr('class').replace('ui-icon', ''));

        				if ($class in replacement)
        					icon.attr('class', 'ui-icon ' + replacement[$class]);
        			})
        		}

        		function enableTooltips(table) {
        			$('.navtable .ui-pg-button').tooltip({
        				container : 'body'
        			});
        			$(table).find('.ui-pg-div').tooltip({
        				container : 'body'
        			});
        		}

        		// var selr = jQuery(grid_selector).jqGrid('getGridParam','selrow');

        		$(document).one('ajaxloadstart.page', function(e) {
        			$(grid_selector).jqGrid('GridUnload');
        			$('.ui-jqdialog').remove();
        		});
        	});
        });
		
		function showCertificateView(id){
			var url = '<%=com.fadu.app.util.AppConfig.url_duowenapp_c%>/certView?id=' + id + '&time=' + $.now();
			$("#modal-certificate-view-body").html('<img class="col-sm-12" id="modal-certificate-view-body-img" src="' + url + '" height="520px" width="770px" onclick="imgRotate()"/>');
    		$("#modal-certificate-view").modal("toggle");
		}
		
		function imgRotate(){
			$("#modal-certificate-view-body-img").animate({
	            rotate:"+=90deg"  //为rotate属性赋值,注意：deg为角度单位
	        },'slow');
		}
</script>
